%define anolis_release 1
%global pypi_name zopfli

Name:           python-zopfli
Version:        0.2.2
Release:        %{anolis_release}%{?dist}
Summary:        Zopfli module for python
License:        Apache-2.0
URL:            https://github.com/obp/py-zopfli
Source0:        %{pypi_source %{pypi_name} %{version} zip}

BuildRequires:  gcc
BuildRequires:  python3-devel
BuildRequires:  pyproject-rpm-macros
BuildRequires:  zopfli-devel

%description
cPython bindings for zopfli.

%package -n python3-%{pypi_name}
Summary:        %{summary}

%description -n python3-%{pypi_name}
cPython bindings for zopfli.

%package -n python3-%{pypi_name}-doc
Summary:        Documentation files for %{name}
Requires:       python3-%{pypi_name} = %{EVR}
BuildArch:      noarch

%description -n python3-%{pypi_name}-doc
The python3-%{pypi_name}-doc package contains documentation files for %{name}.

%prep
%autosetup -p1 -n %{pypi_name}-%{version}

# remove vendored zopfli
rm -rf zopfli

%generate_buildrequires
%pyproject_buildrequires -r -x test


%build
export USE_SYSTEM_ZOPFLI=1
%pyproject_wheel

%install
%pyproject_install
%pyproject_save_files zopfli

%check
export PYTHONPATH="${PYTHONPATH:-%{buildroot}%{python3_sitearch}}"
%{python3} tests/test_zopfli.py

%files -n  python3-%{pypi_name} -f %{pyproject_files}
%license COPYING

%files -n  python3-%{pypi_name}-doc
%doc README.rst

%changelog
* Fri Mar 24 2023 happy_orange <songnannan@linux.alibaba.com> - 0.2.2-1
- init package from upstream
